package types

import (
	"time"

	"gorm.io/gorm"
)

type BarcodeStatus uint16

type LoadingBed uint8

const (
	ATA12 LoadingBed = iota + 1
	ATA345
	ALL
)

var MapLoadingBed = map[string]LoadingBed{
	"1": ATA12,
	"2": ATA345,
	"3": ALL,
}

type Barcode struct {
	Barcode    string `gorm:"primaryKey"`
	LoadingBed LoadingBed
	CreatedAt  time.Time      `gorm:"->;<-:create" json:"createdat,omitempty"`
	UpdatedAt  time.Time      `json:"updatedat,omitempty"`
	DeletedAt  gorm.DeletedAt `gorm:"index" json:"deletedat,omitempty"`
}
